Bug 466725 - running a gnome session in Xnest doesn't work any more
running a gnome session in Xnest doesn't work any more
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2008-10-13 04:53 EDT by Kjartan Maraas
Modified: 2009-12-18 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2008-10-13 04:53:22 EDT
Description of problem:

I've run gnome sessions in Xnest earlier to test a jhbuild environment both as a normal session and also under valgrind, but that fails now with rawhide.

Procedure goes as follows:

- start 'Xnest -ac 2:' from gnome-terminal as root or a normal user
- start 'DISPLAY :2 dbus-launch --exit-with-session gnome-session'

When I tried this today the Xserver was terminated with a BadMatch error and so on. I've followed the instructions from the OnlineDesktop wiki page on live.gnome.org here: http://live.gnome.org/OnlineDesktop/Jhbuild

gnome-terminal tab 1:

[root@localhost var]# Xnest -ac :2
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  1 (X_CreateWindow)
  Serial number of failed request:  2096
  Current serial number in output stream:  2099

gnome-terminal tab 2:

[jhbuild@localhost ~]$ LC_ALL=C DISPLAY=:2 jhbuild run dbus-launch --exit-with-session gnome-session
Xlib:  extension "RANDR" missing on display ":2.0".
gnome-session[17167]: EggSMClient-WARNING: Desktop file '/etc/xdg/autostart/sealertauto.desktop' has malformed Icon key 'setroubleshoot_icon.png'(should not include extension)
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Window manager warning: Failed to read saved session file /home/jhbuild/.config/metacity/sessions/106863b525c74d3ca8122388766497091700000171670036.ms: Failed to open file '/home/jhbuild/.config/metacity/sessions/106863b525c74d3ca8122388766497091700000171670036.ms': No such file or directory
Xlib:  extension "RANDR" missing on display ":2.0".
Window manager warning: Log level 32: could not find XKB extension.
Window manager warning: Missing composite extension required for compositingXlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root priviliges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
[WARN 17210] polkit-session.c:144:polkit_session_set_uid(): session != NULL
 Not built with -rdynamic so unable to print a backtrace
E: polkit.c: Cannot set UID on session object.
N: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary priviliges:
N: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us priviliges. Dropping SUID again.
N: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit priviliges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
** (process:17220): DEBUG: Loaded 0 cookies matching domain 'mugshot.org' port 80 cookie name 'auth'

** (nm-applet:17207): WARNING **: <WARN>  applet_dbus_manager_start_service(): Could not acquire the NetworkManagerUserSettings service.
  Message: 'Connection ":1.172" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file'

Failure: Module initalization failed

(nm-applet:17207): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
INFO: FOUND FIREFOX LIBS AT /usr/lib/firefox-3.0.2
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
gdm[17266]: ******************* START **********************************
Window manager warning: Failed to read saved session file /home/jhbuild/.config/metacity/sessions/106863b525c74d3ca8122388766497091700000171670036.ms: Failed to open file '/home/jhbuild/.config/metacity/sessions/106863b525c74d3ca8122388766497091700000171670036.ms': No such file or directory
Xlib:  extension "RANDR" missing on display ":2.0".
Xlib:  extension "RANDR" missing on display ":2.0".
system-config-printer-applet: failed to start NewPrinterNotification service
seahorse nautilus module initialized
[Main                ][INFO   ] Conduit v0.3.14 Installed: True (Main.py:99)
[Main                ][INFO   ] Python: 2.5.2 (r252:60911, Sep 30 2008, 15:41:38) 
[GCC 4.3.2 20080917 (Red Hat 4.3.2-4)] (Main.py:100)
[Main                ][INFO   ] Using UI: gtk (Main.py:130)
Xlib:  extension "RANDR" missing on display ":2.0".
[gtkui.Canvas        ][INFO   ] Module Information: goocanvas v(0, 10, 0) (/usr/lib/python2.5/site-packages/goocanvasmodule.so) (Canvas.py:25)
[modules.AVConverter ][INFO   ] Module Information: gst v(0, 10, 12) (/usr/lib/python2.5/site-packages/gst-0.10/gst/__init__.pyc) (AudioVideoConverterModule.py:22)
[modules.Feed        ][INFO   ] Module Information: feedparser v4.1 (/usr/lib/python2.5/site-packages/feedparser.pyc) (FeedModule.py:20)
[modules.Feed        ][INFO   ] Patching feedparser issue #100 (FeedModule.py:26)
[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:23)
[modules.iPod        ][INFO   ] Module Information: gpod v(0, 6, 0) (/usr/lib/python2.5/site-packages/gpod/__init__.pyc) (iPodModule.py:45)
[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:23)
[Info 10:47:47.605] Loaded "Applications". 
[Info 10:47:47.644] Loaded "GNOME Special Locations". 
[Info 10:47:47.645] Loaded "Alias items". 
[Info 10:47:47.646] Loaded "Internal GNOME Do Items". 
[Info 10:47:47.646] Loaded "GNOME Do Item Sources". 
[modules.Network     ][INFO   ] Network support enabled (NetworkModule.py:30)
[Info 10:47:47.649] Loaded "Shelf Item Source". 
[modules.Network     ][DEBUG  ] Starting AvahiAdvertiser server (Server.py:35)
[modules.Network     ][DEBUG  ] Announcing avahi conduit service (Peers.py:159)
[Info 10:47:47.722] Loaded "Email". 
[Info 10:47:47.723] Loaded "Open". 
[Info 10:47:47.731] Loaded "Open URL". 
[Info 10:47:47.732] Loaded "Open With...". 
[Info 10:47:47.732][modules.Evolution   ][INFO   ] Evolution support disabled (EvolutionModule.py:27)
 Loaded "Reveal". 
[Info 10:47:47.735] Loaded "Run". 
[Info 10:47:47.735] Loaded "Assign Alias...". 
[Info 10:47:47.736] Loaded "Delete Alias". 
[Info 10:47:47.736] Loaded "New Shelf". 
[Info 10:47:47.737] Loaded "Add To Shelf". 
[Info 10:47:47.737] Loaded "Explore Shelf". 
[Info 10:47:47.746] Loaded "Remove From Shelf". 
[modules.Flickr      ][INFO   ] Module Information: flickrapi v1.1 (/usr/lib/python2.5/site-packages/conduit/modules/FlickrModule/flickrapi/__init__.pyc) (FlickrModule.py:26)
[modules.Backpack    ][INFO   ] Module Information: backpack (/usr/lib/python2.5/site-packages/conduit/modules/BackpackModule/backpack/backpack.pyc) (BackpackModule.py:22)
gdm[17266]: [Thread debugging using libthread_db enabled]
gdm[17266]: [New Thread 0xb805d760 (LWP 17167)]
gdm[17266]: [New Thread 0xb805cb90 (LWP 17176)]
could not attach to desktop process
[modules.Google      ][INFO   ] Module Information: gdata (/usr/lib/python2.5/site-packages/conduit/modules/GoogleModule/gdata/__init__.pyc) (GoogleModule.py:45)
[modules.Facebook    ][INFO   ] Module Information: pyfacebook v0.1 (/usr/lib/python2.5/site-packages/conduit/modules/FacebookModule/pyfacebook/__init__.pyc) (FacebookModule.py:30)
[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:23)
[gtkui.UI            ][INFO   ] Main window constructed  (thread: -1208211776) (UI.py:199)
[SyncSet             ][INFO   ] Restoring Sync Set from /home/jhbuild/.config/conduit/settings.xml (SyncSet.py:195)
[DBus                ][DEBUG  ] DBus Exported: / (DBus.py:127)
[DBus                ][DEBUG  ] DBus Exported: /syncset/gui (DBus.py:127)
[DBus                ][DEBUG  ] DBus Exported: /syncset/dbus (DBus.py:127)
[Info 10:47:48.102] Universe contains 24 objects. 
conduit.real: Fatal IO error 11 (Resource temporarily unavailable) on X server :2.0.
kerneloops-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :2.0.
applet.py: Fatal IO error 11 (Resource temporarily unavailable) on X server :2.0.
Do: Fatal IO error 11 (Resource temporarily unavailable) on X server :2.0.
gdm[17266]: 0x00132416 in __kernel_vsyscall ()
gdm[17266]: #0  0x00132416 in __kernel_vsyscall ()
gdm[17266]: #1  0x008f806b in waitpid () from /lib/libpthread.so.0
gdm[17266]: #2  0x0805d8fb in crashlogger_get_backtrace () at gdm-signal-handler.c:192
gdm[17266]: #3  0x0805d995 in gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
gdm[17266]: #4  0x0805da03 in signal_handler (signo=11) at gdm-signal-handler.c:247
gdm[17266]: #5  <signal handler called>
gdm[17266]: #6  0x085284bd in ?? ()
gdm[17266]: #7  0x02b83a74 in IA__g_cclosure_marshal_VOID__PARAM (closure=0x9684558, return_value=0x0, n_param_values=2, param_values=0x96693e8, 
gdm[17266]:     invocation_hint=0xbfc96180, marshal_data=0x0) at gmarshal.c:531
gdm[17266]: #8  0x02b6ab7b in IA__g_closure_invoke (closure=0x9684558, return_value=0x0, n_param_values=2, param_values=0x96693e8, 
gdm[17266]:     invocation_hint=0xbfc96180) at gclosure.c:767
gdm[17266]: #9  0x02b82571 in signal_emit_unlocked_R (node=0x966fc50, detail=221, instance=0x967ed18, emission_return=0x0, 
gdm[17266]:     instance_and_params=0x96693e8) at gsignal.c:3244
gdm[17266]: #10 0x02b81733 in IA__g_signal_emit_valist (instance=0x967ed18, signal_id=1, detail=221, var_args=0xbfc963e0 "Tנ\0035") at gsignal.c:2977
gdm[17266]: #11 0x02b81a5b in IA__g_signal_emit (instance=0x967ed18, signal_id=1, detail=221) at gsignal.c:3034
gdm[17266]: #12 0x02b6d254 in g_object_dispatch_properties_changed (object=0x967ed18, n_pspecs=1, pspecs=0xbfc96438) at gobject.c:766
gdm[17266]: #13 0x02b6c247 in g_object_notify_dispatcher (object=0x967ed18, n_pspecs=1, pspecs=0xbfc96438) at gobject.c:312
gdm[17266]: #14 0x02b6d7d8 in g_object_notify_queue_thaw (object=0x967ed18, nqueue=0x96a3070) at gobjectnotifyqueue.c:125
gdm[17266]: #15 0x02b6d58f in IA__g_object_notify (object=0x967ed18, property_name=0xd26d40 "gtk-enable-input-feedback-sounds") at gobject.c:853
gdm[17266]: #16 0x00b15967 in _gtk_settings_handle_event (event=0x96cb308) at gtksettings.c:1902
gdm[17266]: #17 0x00a91605 in IA__gtk_main_do_event (event=0x96cb308) at gtkmain.c:1443
gdm[17266]: #18 0x00e0e488 in gdk_event_dispatch (source=0x967cc28, callback=0, user_data=0x0) at gdkevents-x11.c:2365
gdm[17266]: #19 0x03964c0b in g_main_dispatch (context=0x967cc70) at gmain.c:2144
gdm[17266]: #20 0x039660d3 in IA__g_main_context_dispatch (context=0x967cc70) at gmain.c:2697
gdm[17266]: #21 0x0396662b in g_main_context_iterate (context=0x967cc70, block=1, dispatch=1, self=0x9683e08) at gmain.c:2778
gdm[17266]: #22 0x03966e0d in IA__g_main_loop_run (loop=0x969b700) at gmain.c:2986
gdm[17266]: #23 0x00a90fc5 in IA__gtk_main () at gtkmain.c:1200
gdm[17266]: #24 0x08060106 in main (argc=1, argv=0xbfc96924) at main.c:593
gdm[17266]: 
gdm[17266]: Thread 2 (Thread 0xb805cb90 (LWP 17176)):
gdm[17266]: #0  0x00132416 in __kernel_vsyscall ()
gdm[17266]: No symbol table info available.
gdm[17266]: #1  0x008f712b in read () from /lib/libpthread.so.0
gdm[17266]: No locals.
gdm[17266]: #2  0x03968698 in child_watch_helper_thread (data=0x0) at gmain.c:4000
gdm[17266]: 
gdm[17266]: 	list = (GSList *) 0x0
gdm[17266]: #3  0x039931fe in g_thread_create_proxy (data=0x969e660) at gthread.c:635
gdm[17266]: 	thread = (GRealThread *) 0x969e660
gdm[17266]: 
gdm[17266]: #4  0x008f051f in start_thread (arg=0xb805cb90) at pthread_create.c:297
gdm[17266]: 	__res = <value optimized out>
gdm[17266]: 	__ignore1 = <value optimized out>
gdm[17266]: 	__ignore2 = <value optimized out>
gdm[17266]: 	pd = (struct pthread *) 0xb805cb90
gdm[17266]: 	now = <value optimized out>
gdm[17266]: mask_was_saved = 0}}, priv = {
gdm[17266]: canceltype = 0}}}
gdm[17266]: 	not_first_call = <value optimized out>
gdm[17266]: 	robust = <value optimized out>
gdm[17266]: #5  0x075910de in clone () from /lib/libc.so.6
gdm[17266]: No symbol table info available.
gdm[17266]: 
gdm[17266]: Thread 1 (Thread 0xb805d760 (LWP 17167)):
gdm[17266]: #0  0x00132416 in __kernel_vsyscall ()
gdm[17266]: No symbol table info available.
gdm[17266]: #1  0x008f806b in waitpid () from /lib/libpthread.so.0
gdm[17266]: No locals.
gdm[17266]: #2  0x0805d8fb in crashlogger_get_backtrace () at gdm-signal-handler.c:192
gdm[17266]: 
gdm[17266]: 
gdm[17266]: 
gdm[17266]: #3  0x0805d995 in gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
gdm[17266]: st_rdev = 0, 
gdm[17266]: tv_nsec = 0}, st_mtim = {
gdm[17266]: __unused5 = 0}
gdm[17266]: 
gdm[17266]: #4  0x0805da03 in signal_handler (signo=11) at gdm-signal-handler.c:247
gdm[17266]: 
gdm[17266]: 
gdm[17266]: 
gdm[17266]: #5  <signal handler called>
gdm[17266]: No symbol table info available.
gdm[17266]: #6  0x085284bd in ?? ()
gdm[17266]: No symbol table info available.
gdm[17266]: #7  0x02b83a74 in IA__g_cclosure_marshal_VOID__PARAM (closure=0x9684558, return_value=0x0, n_param_values=2, param_values=0x96693e8, 
gdm[17266]:     invocation_hint=0xbfc96180, marshal_data=0x0) at gmarshal.c:531
gdm[17266]: 	callback = (GMarshalFunc_VOID__PARAM) 0x85284bd
gdm[17266]: 	cc = (GCClosure *) 0x9684558
gdm[17266]: 	data1 = (gpointer) 0x967ed18
gdm[17266]: 	data2 = (gpointer) 0x0
gdm[17266]: 
gdm[17266]: #8  0x02b6ab7b in IA__g_closure_invoke (closure=0x9684558, return_value=0x0, n_param_values=2, param_values=0x96693e8, 
gdm[17266]:     invocation_hint=0xbfc96180) at gclosure.c:767
gdm[17266]: 	marshal = (GClosureMarshal) 0x2b839bd <IA__g_cclosure_marshal_VOID__PARAM>
gdm[17266]: 	marshal_data = (gpointer) 0x0
gdm[17266]: 
gdm[17266]: 
gdm[17266]: #9  0x02b82571 in signal_emit_unlocked_R (node=0x966fc50, detail=221, instance=0x967ed18, emission_return=0x0, 
gdm[17266]:     instance_and_params=0x96693e8) at gsignal.c:3244
gdm[17266]: 	tmp = (Handler *) 0x96a3018
gdm[17266]: 	handler = (Handler *) 0x96a3018
gdm[17266]: 	accumulator = (SignalAccumulator *) 0x0
gdm[17266]: 	emission = {next = 0x0, instance = 0x967ed18, ihint = {signal_id = 1, detail = 221, run_type = G_SIGNAL_RUN_FIRST}, 
gdm[17266]:  = 4}
gdm[17266]: 	class_closure = (GClosure *) 0x966fc08
gdm[17266]: 	hlist = (HandlerList *) 0x96a2d38
gdm[17266]: 	handler_list = (Handler *) 0x96a2dd8
gdm[17266]: 	return_accu = (GValue *) 0x0
gdm[17266]: _float = 0, v_double = 0, 
gdm[17266]:       v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
gdm[17266]:       v_pointer = 0x0}}}
gdm[17266]: 	signal_id = 1
gdm[17266]: 	max_sequential_handler_number = 102
gdm[17266]:  1
gdm[17266]: #10 0x02b81733 in IA__g_signal_emit_valist (instance=0x967ed18, signal_id=1, detail=221, var_args=0xbfc963e0 "Tנ\0035") at gsignal.c:2977
gdm[17266]: 	instance_and_params = (GValue *) 0x96693e8
gdm[17266]: 	signal_return_type = 4
gdm[17266]: 	param_values = (GValue *) 0x96693fc
gdm[17266]: (SignalNode *) 0x966fc50
gdm[17266]: 	i = 1
gdm[17266]: 	n_params = 1
gdm[17266]: 	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
gdm[17266]: #11 0x02b81a5b in IA__g_signal_emit (instance=0x967ed18, signal_id=1, detail=221) at gsignal.c:3034
gdm[17266]: 	var_args = 0xbfc963dc "�!j\tTנ\0035"
gdm[17266]: object_dispatch_properties_changed (object=0x967ed18, n_pspecs=1, pspecs=0xbfc96438) at gobject.c:766
gdm[17266]: 	i = 0
gdm[17266]: #13 0x02b6c247 in g_object_notify_dispatcher (object=0x967ed18, n_pspecs=1, pspecs=0xbfc96438) at gobject.c:312
gdm[17266]: No locals.
gdm[17266]: ect_notify_queue_thaw (object=0x967ed18, nqueue=0x96a3070) at gobjectnotifyqueue.c:125
gdm[17266]: 	context = (GObjectNotifyContext *) 0x2b9d980
gdm[17266]: , 
gdm[17266]:   0xbfc96498, 0x2b6d623, 0x0, 0x96a21c8}
gdm[17266]: 	pspecs = (GParamSpec **) 0xbfc96438
gdm[17266]: 	free_me = (GParamSpec **) 0x0
gdm[17266]: 	slist = (GSList *) 0x0
gdm[17266]: 	n_pspecs = 1
gdm[17266]: 	__PRETTY_FUNCTION__ = "g_object_notify_queue_thaw"
gdm[17266]: 18, property_name=0xd26d40 "gtk-enable-input-feedback-sounds") at gobject.c:853
gdm[17266]: 	nqueue = (GObjectNotifyQueue *) 0x96a3070
gdm[17266]: 	pspec = (GParamSpec *) 0x96a21c8
gdm[17266]: 	__PRETTY_FUNCTION__ = "IA__g_object_notify"
gdm[17266]: x96cb308) at gtksettings.c:1902
gdm[17266]: 	settings = (GtkSettings *) 0x967ed18
gdm[17266]: 	pspec = (GParamSpec *) 0x96a21c8
gdm[17266]: 	property_id = 50
gdm[17266]: #17 0x00a91605 in IA__gtk_main_do_event (event=0x96cb308) at gtkmain.c:1443
gdm[17266]: 	event_widget = (GtkWidget *) 0x967cc74
gdm[17266]: tkWidget *) 0x9687c78
gdm[17266]: 	window_group = (GtkWindowGroup *) 0x8f3450
gdm[17266]: 	rewritten_event = (GdkEvent *) 0x0
gdm[17266]: 	tmp_list = (GList *) 0x96a3070
gdm[17266]: 	__PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
gdm[17266]: ata=0x0) at gdkevents-x11.c:2365
gdm[17266]: 	display = (GdkDisplay *) 0x9678260
gdm[17266]: 	event = (GdkEvent *) 0x96cb308
gdm[17266]: #19 0x03964c0b in g_main_dispatch (context=0x967cc70) at gmain.c:2144
gdm[17266]: patch>
gdm[17266]: 	was_in_call = 0
gdm[17266]: 	user_data = (gpointer) 0x0
gdm[17266]: 	callback = (GSourceFunc) 0
gdm[17266]: 	cb_funcs = (GSourceCallbackFuncs *) 0x0
gdm[17266]: 	cb_data = (gpointer) 0x0
gdm[17266]: 	need_destroy = 60871248
gdm[17266]: 	current_source_link = {data = 0x967cc28, next = 0x0}
gdm[17266]: 28
gdm[17266]: 	current = (GMainDispatch *) 0x9687c78
gdm[17266]: 	i = 0
gdm[17266]: 	__PRETTY_FUNCTION__ = "g_main_dispatch"
gdm[17266]: #20 0x039660d3 in IA__g_main_context_dispatch (context=0x967cc70) at gmain.c:2697
gdm[17266]: No locals.
gdm[17266]: spatch=1, self=0x9683e08) at gmain.c:2778
gdm[17266]: 	max_priority = 0
gdm[17266]: 	timeout = 0
gdm[17266]: 	some_ready = 1
gdm[17266]: 	nfds = 15
gdm[17266]: 	allocated_nfds = 15
gdm[17266]: 	fds = (GPollFD *) 0x96c9d50
gdm[17266]: 	__PRETTY_FUNCTION__ = "g_main_context_iterate"
gdm[17266]:  gmain.c:2986
gdm[17266]: 	self = (GThread *) 0x9683e08
gdm[17266]: 	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
gdm[17266]: #23 0x00a90fc5 in IA__gtk_main () at gtkmain.c:1200
gdm[17266]: 	tmp_list = (GList *) 0x0
gdm[17266]: 	functions = (GList *) 0x0
gdm[17266]: 	init = (GtkInitFunction *) 0xbfc96888
gdm[17266]: 0x969b700
gdm[17266]: #24 0x08060106 in main (argc=1, argv=0xbfc96924) at main.c:593
gdm[17266]: 	sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, sa_mask = {__val = {0 <repeats 32 times>}}, sa_flags = 0, 
gdm[17266]:   sa_restorer = 0x804d548 <_init+44>}
gdm[17266]:  *) 0x0
gdm[17266]: 	display_str = 0x967dd08 "locked"
gdm[17266]: 	manager = (GsmManager *) 0x9683388
gdm[17266]: 	client_store = (GsmStore *) 0x9680210
gdm[17266]: 	xsmp_server = (GsmXsmpServer *) 0x9677f38
gdm[17266]: 	signal_handler = (GdmSignalHandler *) 0x967ceb0
gdm[17266]: 	override_autostart_dirs = (char **) 0x0
gdm[17266]: ult_session_key = 0x0
gdm[17266]: 	entries = {{long_name = 0x807036a "autostart", short_name = 97 'a', flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, 
gdm[17266]:     arg_data = 0x8074cb4, description = 0x8070374 "Override standard autostart directories", arg_description = 0x0}, {
gdm[17266]:     long_name = 0x807039c "default-session-key", short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0x8074cb0, 
gdm[17266]: g", 
gdm[17266]:     short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x8074cac, description = 0x80703df "Enable debugging code", 
gdm[17266]: NE, 
gdm[17266]:     arg_data = 0x8074ca4, description = 0x8070400 "Do not load user-specified applications", arg_description = 0x0}, {
gdm[17266]:     long_name = 0x8070428 "version", short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x8074ca8, 
gdm[17266]: n = 0x8070430 "Version of this application", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', flags = 0, 
gdm[17266]:     arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
gdm[17266]: h it)? (y or n) [answered Y; input not from terminal]
gdm[17266]: ******************* END **********************************
Window manager warning: Log level 32: could not find XKB extension.
Window manager warning: Fatal IO error 104 (Connection reset by peer) on display ':2.0'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2008-10-13 04:56:40 EDT
Maybe this is just PolKit integration issues and the instructions for running jhbuild sessions need updating?
Comment 2 Matěj Cepl 2008-10-15 04:49:15 EDT
Lovely
Comment 3 Bug Zapper 2008-11-25 22:49:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:34:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:33:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.